/*    
 * glibunload.c 
 * ~~~~~~~~~~~~~~~~~~
 * unloads libraries intuition, graphics and req., math and trig
 *  Copyright 1991 Christian E. Hopps
*/
#include <intuition/intuition.h>
#include <graphics/gfxbase.h>
#include <libraries/reqbase.h>
#include <libraries/mathffp.h>

extern struct IntuitionBase 	*IntuitionBase;
extern struct GfxBase 		*GfxBase;
extern struct ReqLib		*ReqBase; 
extern struct Library		*MathBase;
extern struct Library		*MathTransBase;

void GLibUnload()
{

if(MathTransBase)	CloseLibrary(MathTransBase);
if(MathBase)		CloseLibrary(MathBase);
if(IntuitionBase) 	CloseLibrary(IntuitionBase);
if(GfxBase)		CloseLibrary(GfxBase);
if(ReqBase)		 CloseLibrary(ReqBase); 

}